Package commoble.morered.wires

# Class VoxelCache

java.lang.Object
net.minecraft.world.level.saveddata.SavedData
commoble.morered.wires.VoxelCache

public class VoxelCache extends net.minecraft.world.level.saveddata.SavedData

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`VoxelCache.VoxelLoader`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
`final com.google.common.cache.LoadingCache<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>`
`shapesByPos`
`protected final net.minecraft.world.level.Level`
`world`

## Constructor Summary

Constructors
Constructor
Description
`VoxelCache(net.minecraft.world.level.Level world)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearClientCache()`
`static VoxelCache`
`get(net.minecraft.world.level.Level level)`
`net.minecraft.world.phys.shapes.VoxelShape`
`getWireShape(net.minecraft.core.BlockPos pos)`
`net.minecraft.nbt.CompoundTag`
`save(net.minecraft.nbt.CompoundTag tag)`

### Methods inherited from class net.minecraft.world.level.saveddata.SavedData

`isDirty, save, setDirty, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID

See Also:
  - Constant Field Values

### world

protected final net.minecraft.world.level.Level world

### shapesByPos

public final com.google.common.cache.LoadingCache<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape> shapesByPos

## Constructor Details

### VoxelCache

public VoxelCache(@Nonnull net.minecraft.world.level.Level world)

## Method Details

### get

public static VoxelCache get(@Nonnull net.minecraft.world.level.Level level)

### save

public net.minecraft.nbt.CompoundTag save(net.minecraft.nbt.CompoundTag tag)

Specified by:
  `save` in class `net.minecraft.world.level.saveddata.SavedData`

### clearClientCache

public static void clearClientCache()

### getWireShape

public net.minecraft.world.phys.shapes.VoxelShape getWireShape(net.minecraft.core.BlockPos pos)